// OpenGLView.h : interface of the COpenGLView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_OPENGLVIEW_H__9609DC2D_C4AA_11D4_A7E9_9CCCA785C9F8__INCLUDED_)
#define AFX_OPENGLVIEW_H__9609DC2D_C4AA_11D4_A7E9_9CCCA785C9F8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "DialogAdd.h"
#include "DialogClear.h"
#include "DialogColor.h" 
#include "DialogLines.h"
#include "DialogFill.h"
#include "DialogLight.h"
class COpenGLView : public CView
{
protected: // create from serialization only
	COpenGLView();
	DECLARE_DYNCREATE(COpenGLView)

// Attributes
public:
	COpenGLDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COpenGLView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	double m_Scale;
	GLdouble m_xMove;
	GLdouble m_yMove;
	BOOL m_ShiftKeyDown;
	BOOL m_Rotate;
	void Rotate();
	GLdouble m_yRotate;
	GLdouble m_xRotate;
	CPoint m_LeftDownPos;
	BOOL m_LeftButtonDown;
	DialogAdd* m_pDlg;
	DialogClear* m_pDlg2;
	DialogColor* m_pDlg3;
	DialogLines* m_pDlg4;
	DialogFill* m_pDlg5;
	DialogLight* m_pDlg6;
	display();
	virtual ~COpenGLView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(COpenGLView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnEditE();
	afx_msg void OnSurf();
	afx_msg void OnClear();
	afx_msg void OnColor();
	afx_msg void OnLines();
	afx_msg void OnFill();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLight();
	afx_msg void OnToolAdd();
	afx_msg void OnToolDel();
	afx_msg void OnToolCol();
	afx_msg void OnTolLin();
	afx_msg void OnTolFil();
	afx_msg void OnTolLig();
	afx_msg void OnScalMin();
	afx_msg void OnFileOpen();
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveAs();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnScalDef();
	afx_msg void OnScalMax();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CClientDC *pdc;
	int SetWindowPixelFormat(HDC);
	HGLRC hGLRC;
};

#ifndef _DEBUG  // debug version in OpenGLView.cpp
inline COpenGLDoc* COpenGLView::GetDocument()
   { return (COpenGLDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPENGLVIEW_H__9609DC2D_C4AA_11D4_A7E9_9CCCA785C9F8__INCLUDED_)
